{
	"pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
		// {
		//     "path" : "pages/fc-page/fc/fc",
		//     "style" : {}
		// },
		// {
		//     "path" : "pages/fc-page/fc-list/fc-list",
		//     "style" : {}
		// },
		// {
		//     "path" : "pages/personal-page/devices-update/devices-update",
		//     "style" :                                                                                    
		//     {
		//         "navigationBarTitleText": "",
		//         "enablePullDownRefresh": false
		//     }

		// },
		// #ifdef APP-PLUS || H5
		{
			"path": "pages/Loading-page/Loading/Loading",
			"style": {}
		},
		//app 相关注册页面
		{
			"path": "pages/login-page/login/login",
			"style": {
				"navigationBarTitleText": "登录"
			}
		},
		{
			"path": "pages/login-page/reg/reg",
			"style": {
				"navigationBarTitleText": "注册"
			}
		},
		{
			"path": "pages/login-page/main/main",
			"style": {
				"navigationBarTitleText": "我的"
			}
		},
		{
			"path": "pages/login-page/pwd/pwd",
			"style": {
				"navigationBarTitleText": "找回密码"
			}
		},
		{
			"path": "pages/login-page/user/user",
			"style": {
				"navigationBarTitleText": "我的"
			}
		},
		// #endif
		{
			"path": "pages/personal-page/personal/personal",
			"style": {
				"navigationBarTitleText": "个人中心",
				"app-plus": {
					"bounce": "none"
				},
				"disableScroll": true
			}
		},
		{
			"path": "pages/game-page/game/game",
			"style": {
				"navigationBarTitleText": "游戏"
			}
		},

		{
			"path": "pages/my-page/homepage/homepage",
			"style": {
				"navigationBarTitleText": "我的"
			}
		},
		{
			"path": "pages/my-page/userInfo/userInfo",
			"style": {
				"navigationBarTitleText": "完善资料"
			}
		},

		{
			"path": "pages/personal-page/plan/plan",
			"style": {
				"navigationBarTitleText": "健身计划"
			}
		},

		{
			"path": "pages/personal-page/devices/devices",
			"style": {
				"navigationBarTitleText": "选中设备型号",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/conversion-page/conversion/conversion",
			"style": {}
		},
		{
			"path": "pages/personal-page/list/list",
			"style": {}
		}, {
			"path": "pages/game-page/game-comment/game-comment",
			"style": {
				"navigationBarTitleText": "游戏评论"
			}
		}, {
			"path": "pages/game-page/game-search/game-search",
			"style": {
				"navigationBarTitleText": "搜索"
			}
		},
		{
			"path": "pages/game-page/game-detail/game-detail",
			"style": {
				"navigationBarTitleText": "游戏详情"
			}
		},
		// #ifdef H5
		{
			"path": "pages/game-page/game-play/game-play-web",
			"style": {}
		},
		// #endif
		// #ifdef APP-PLUS
		{
			"path": "pages/game-page/game-play-sub/game-play-sub",
			"style": {
				"app-plus": {
					"titleNView": false,
					"subNVues": [{
						"id": "game",
						"path": "pages/game-page/game-play-sub/subGame/subGame",
						"type": "popup",
						"style": {
							"width": "100%",
							"position": "absolute"
						}
					}]
				}

			}
		},
		// #endif
		{
			"path": "pages/personal-page/favorites/favorites",
			"style": {
				"navigationBarTitleText": "我的关注"
			}
		}, {
			"path": "pages/personal-page/more/more",
			"style": {
				"navigationBarTitleText": "我的设备"
			}
		}, {
			"path": "pages/game-page/game-ranking/game-ranking",
			"style": {}
		}, {
			"path": "pages/login-page/bindPhone/bindPhone",
			"style": {}
		}, {
			"path": "pages/my-page/perfectInfo/perfectInfo",
			"style": {}
		}

		, {
			"path": "pages/login-page/userAgreement/userAgreement",
			"style": {}
		}, {
			"path": "pages/personal-page/devices-category/devices-category",
			"style": {}
		}, {
			"path": "pages/personal-page/devices-hardware/devices-hardware",
			"style": {}
		}, {
			"path": "pages/fc-page/fc/fc",
			"style": {}
		}, {
			"path": "pages/fc-page/fc-list/fc-list",
			"style": {}
		}, {
			"path": "pages/personal-page/devices-update/devices-update",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/info-page/app-info/app-info",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/my-page/firstPlan/firstPlan",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/login-page/feedback/feedback",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/friend-page/search/search",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/friend-page/main/main",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/friend-page/select/select",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/game-page/game-list/game-list",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/game-page/game-video/game-video",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/my-page/achievement/achievement",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		},
		{
			"path": "components/modal-mask/modal-mask-nvue",
			"style": {
				"navigationStyle": "custom",
				"app-plus": {
					"animationType": "fade-in",
					"background": "transparent",
					"backgroundColor": "rgba(0,0,0,0)",
					"popGesture": "none"
				}
			}
		}, {
			"path": "pages/personal-page/directionOfDetection/directionOfDetection",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}
	],
	"subPackages": [{
		"root": "pages/personal-page",
		"pages": [
			// #ifdef APP-PLUS
			{
				"path": "personal/personal",
				"style": {
					// "navigationBarTitleText": "原生子窗体",
					"titleNView": false,
					"app-plus": {
						"subNVues": [{
							"id": "personal-drawer",
							"path": "../../platform/app-plus/subNVue/drawer",
							"type": "popup",
							"style": {
								"width": "89%"
							}
						}, {
							"id": "personal-popup",
							"path": "../../platform/app-plus/subNVue/reward-popup",
							"type": "popup",
							"style": {
								"margin": "auto",
								// "width": "100%",
								// "height": "100%",
								"background": "transparent"
							}
						}]
					}
				}
			}
			// #endif

		]
	}],
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "uni-app",
		"navigationBarBackgroundColor": "#FFFFFF",
		"backgroundColor": "#F8F8F8",
		"navigationStyle": "custom",
		"app-plus":{
			"bounce":"none"
		}
	},
	"condition": { //模式配置，仅开发期间生效
		"current": 0, //当前激活的模式(list 的索引项)
		"list": [{
			"name": "", //模式名称
			"path": "", //启动页面，必选
			"query": "" //启动参数，在页面的onLoad函数里面得到
		}]
	},
	"tabBar": {
		"color": "#AAABAD",
		"selectedColor": "#9797FF",
		"backgroundColor": "#FFFFFF",
		"borderStyle": "#eee",
		"height": "75px",
		"spacing": "6px",
		"list": [{
				"pagePath": "pages/personal-page/personal/personal",
				"text": "首页",
				"iconPath": "./static/common/navigationBar/nHome.png",
				"selectedIconPath": "static/common/navigationBar/nHomeB.png"
			},
			{
				"pagePath": "pages/personal-page/plan/plan",
				"text": "计划",
				"iconPath": "static/common/navigationBar/nPlan.png",
				"selectedIconPath": "static/common/navigationBar/nPlanB.png"
			}, {
				"pagePath": "pages/game-page/game-list/game-list",
				"text": "游戏",
				"iconPath": "static/common/navigationBar/nGame.png",
				"selectedIconPath": "static/common/navigationBar/nGameB.png"
			},
			{
				"pagePath": "pages/game-page/game-video/game-video",
				"text": "视频",
				"iconPath": "static/common/navigationBar/nVideo.png",
				"selectedIconPath": "static/common/navigationBar/nVideoB.png"
			},
			{
				"pagePath": "pages/my-page/homepage/homepage",
				"text": "我的",
				"iconPath": "static/common/navigationBar/nMy.png",
				"selectedIconPath": "static/common/navigationBar/nMyB.png"
			}
		]
	}

}
